<?php

namespace xenarabia\QuranKarem\Pub\Controller;


use XF\Mvc\ParameterBag;
use XF\Pub\Controller\AbstractController;

class Quran extends AbstractController
{


    public function actionIndex(ParameterBag $params)
    {
        $getLangs = \XF::finder("xenarabia\QuranKarem:LangsEntity")->limit(2)->order('l_id', 'ASC')->fetch();
        // \XF::dump($getLangs);
        $viewParams = [
            'langs' => $getLangs
        ];
        return $this->view('xenarabia\QuranKarem\XF:index', 'quran_index', $viewParams);
    }

    public function actionReciters(ParameterBag $params)
    {
        $source = \XF::options()->boardUrl;
        $getLangs = \XF::finder("xenarabia\QuranKarem:LangsEntity")
            ->where('l_id', $params->l_id)
            ->fetchOne();
        $getReciters = file_get_contents($source . "/Quran/langs/" . $getLangs->l_file_name . ".json");
        $parseGet = json_decode($getReciters, true);
        $viewParams = [
            'reciters' => $parseGet,
            'lang' => $getLangs
        ];
        return $this->view('xenarabia\QuranKarem\XF:index', 'quran_reciters', $viewParams);
    }


    public function actionGetSuras(ParameterBag $params)
    {
        $source = \XF::options()->boardUrl;
        $reciterId = $this->filter('reciterid', 'int');
        $getLangs = \XF::finder("xenarabia\QuranKarem:LangsEntity")
            ->where('l_id', $params->l_id)
            ->fetchOne();

        $getReciters = file_get_contents($source . "/Quran/langs/" . $getLangs->l_file_name . ".json");
        $parseGet = json_decode($getReciters);
        foreach ($parseGet->reciters as $reciter) {
            if ($reciter->id == $reciterId) {
                $suras[] = $reciter;
            }
        }
        $surasName = file_get_contents($source . "/Quran/suras/" . $getLangs->l_file_name . ".json");
        $getSurasName = json_decode($surasName, true);
        foreach ($getSurasName['suras'] as $key => $sura) {
            $suras2[] = $sura;
        }
        // \XF::dump($suras2);
        $viewParams = [
            'suras' => $suras2,
            'lang' => $getLangs,
            'reciterName' => $suras[0]->name,
            'serverName' => $suras[0]->Server
        ];
        return $this->view('xenarabia\QuranKarem\XF:index', 'quran_suras', $viewParams);
    }
}
